Jump to content

Hatching over text


cadmanrob

Recommended Posts

Hi,

 

I've searched several forums looking for a lisp routine that can hatch a text boundary but can't find anything. I need to hatch directly over text and/or mtext. Is there anything out there that will allow me to hatch the text within the boundaries that would normally be used as a mask, or in the case of mtext...the text background boundary?

 

Thanks,

 

rob

Link to comment
Share on other sites

Something like this?

 

hatchme.gif

 

Yes, rkmcswain...exactly like that...with the ability to work mtext as well.

 

@grrr...a boundary that is used/generated when using the wipeout from the textmask command.

Link to comment
Share on other sites

This is mostly some code I had for doing something similar at one time.

It will essentially work for any selected object, and of course there is no error checking here.

 


(defun c:foo ( / sel obj var1 var2 pt1 pt2)
 (setq sel (entsel))
 (setq obj (vlax-ename->vla-object (car sel)))
 (vlax-invoke-method obj 'GetBoundingBox 'var1 'var2)
 (setq pt1 (vlax-safearray->list var1)
pt2 (vlax-safearray->list var2)
 )  
 (vl-cmdf "bhatch" "_W" "_N"
   pt1
   (list (car pt1)(cadr pt2))
   pt2
   (list (car pt2)(cadr pt1))
   "_C"
   ""
   "_P"
   "ANSI35"
   "1.0"
   "0.0"
   ""
   )

)

Link to comment
Share on other sites

This is mostly some code I had for doing something similar at one time.

It will essentially work for any selected object, and of course there is no error checking here.

 


(defun c:foo ( / sel obj var1 var2 pt1 pt2)
 (setq sel (entsel))
 (setq obj (vlax-ename->vla-object (car sel)))
 (vlax-invoke-method obj 'GetBoundingBox 'var1 'var2)
 (setq pt1 (vlax-safearray->list var1)
pt2 (vlax-safearray->list var2)
 )  
 (vl-cmdf "bhatch" "_W" "_N"
   pt1
   (list (car pt1)(cadr pt2))
   pt2
   (list (car pt2)(cadr pt1))
   "_C"
   ""
   "_P"
   "ANSI35"
   "1.0"
   "0.0"
   ""
   )

)

 

Thanks! That works great! I made an adjustment for the pattern type...but still very much what I was looking for.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...